Package org.eclipse.ecf.remoteservice.asyncproxy

# Class AbstractAsyncProxyRemoteService

java.lang.Object
org.eclipse.ecf.remoteservice.asyncproxy.AbstractAsyncProxyRemoteService

Direct Known Subclasses:
  `AbstractRemoteService`

public abstract class AbstractAsyncProxyRemoteService extends Object

## Constructor Summary

Constructors
Constructor
Description
`AbstractAsyncProxyRemoteService()`

## Method Summary

Modifier and Type
Method
Description
`protected abstract org.eclipse.equinox.concurrent.future.IFuture`
`callAsync(AbstractAsyncProxyRemoteCall call)`
`protected abstract void`
`callCompletableAsync(AbstractAsyncProxyRemoteCall call, IAsyncProxyCompletable completable)`
`protected Object`
`callFuture(AbstractAsyncProxyRemoteCall call, Class returnType)`
`protected abstract Future`
`callFutureAsync(AbstractAsyncProxyRemoteCall call)`
`protected boolean`
`isReturnAsync(Object proxy, Method method, Object[] args)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AbstractAsyncProxyRemoteService

public AbstractAsyncProxyRemoteService()

## Method Details

### callAsync

protected abstract org.eclipse.equinox.concurrent.future.IFuture callAsync(AbstractAsyncProxyRemoteCall call)

### callFutureAsync

protected abstract Future callFutureAsync(AbstractAsyncProxyRemoteCall call)

### callCompletableAsync

protected abstract void callCompletableAsync(AbstractAsyncProxyRemoteCall call, IAsyncProxyCompletable completable)

### isReturnAsync

protected boolean isReturnAsync(Object proxy, Method method, Object[] args)

### callFuture

protected Object callFuture(AbstractAsyncProxyRemoteCall call, Class returnType)